<?php


/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования скидки на товар.
 *
 * Файл: /admin/shop/action/add_discount_for_item.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */
// Добавляем данные о скидке для конкртеного товара
$shop = & singleton('shop');

$item_id = to_int($_REQUEST['shop_items_catalog_item_id']);

$discount_id = to_int($_REQUEST['discount_id_for_item']);

$shop_item_discount_id = to_int($_REQUEST['edit_discount']);

if ($discount_id != 0)
{
	$item_discount_id = $shop->InsertItemDiscount(array (
		'item_catalog_id' => $item_id,
		'shop_discount_id' => $discount_id,
		'shop_item_discount_id' => $shop_item_discount_id
	));

	if(isset($_REQUEST['apply_discount_to_modification']))
	{
		// Стоит галочка "Применить к модификациям", получаем все модификации данного товара
		$modifications_array = $shop->GetAllModificationItems($item_id);
		
		if($modifications_array)
		{
			foreach($modifications_array as $item_row)
			{
				$shop->InsertItemDiscount(array (
					'item_catalog_id' => $item_row['shop_items_catalog_item_id'],
					'shop_discount_id' => $discount_id,
					'shop_item_discount_id' => $shop_item_discount_id
				));
			}
		}
	}
	
	// Сообщения
	if ($item_discount_id)
	{
		// Отредактировано успешно
		if (to_int($_REQUEST['edit_discount']))
		{
			show_message($GLOBALS['MSG_shops']['success_edit_discount']);
		}
		// Добавлено успешно
		else
		{
			show_message($GLOBALS['MSG_shops']['success_add_discount']);
		}
	}
	else
	{
		// Ошибка редактирования
		if (to_int($_REQUEST['edit_discount']))
		{
			show_error_message($GLOBALS['MSG_shops']['error_edit_discount']);
		}
		// Ошибка добавления
		else
		{
			show_error_message($GLOBALS['MSG_shops']['error_add_discount']);
		}
	}
}
?>